import request from "../../utils/request.js";
import MethodsENUM from "../../enum/MethodsENUM.js";

const system = {
    getData: async (data) => {
        return request({
            method: MethodsENUM.POST,
            url: "/m1/5995958-5684445-default/getList",
            data: data,
        });
    },
    getBarrageList: async () => {
        return request({
            method: MethodsENUM.POST,
            url: "/index/getBarrageList",
        });
    },
    sendSms: async (data) => {
        return request({
            method: MethodsENUM.POST,
            url: "/login/sendSms",
            data: data,
        });
    },
    register: async (data) => {
        return request({
            method: MethodsENUM.POST,
            url: "/login/register",
            data: data,
        });
    },
    smsLogin: async (data) => {
        return request({
            method: MethodsENUM.POST,
            url: "/login/smsLogin",
            data: data,
        });
    },
    accountLogin: async (data) => {
        return request({
            method: MethodsENUM.POST,
            url: "/login/login",
            data: data,
        });
    },
    editPassword: async (data) => {
        return request({
            method: MethodsENUM.POST,
            url: "/login/editPassword",
            data: data,
        });
    },
    getTaskType: async (data) => {
        return request({
            method: MethodsENUM.POST,
            url: "/task/getTaskType",
            data: data,
        });
    },
    getPlatform: async (data) => {
        return request({
            method: MethodsENUM.POST,
            url: "/task/getPlatform",
            data: data,
        });
    },
    getAccountStatus: async (data) => {
        return Promise.resolve({
            data: [
                {
                    id: 0,
                    name: '审核中',
                    hidden: true,
                },
                {
                    id: 1,
                    name: '正常',
                },
                {
                    id: 2,
                    name: '异常',
                },
                {
                    id: 3,
                    name: '隐藏',
                },
                {
                    id: -1,
                    name: '未通过',
                    hidden: true,
                },
                {
                    id: -2,
                    name: '禁用',
                    hidden: true,
                },
            ]
        });
    },
    getTask: async (data) => {
        return request({
            method: MethodsENUM.POST,
            url: "/task/getTask",
            data: data,
        });
    },
    getTaskinfo: async (id, task_children_id) => {
        return request({
            method: MethodsENUM.POST,
            url: "/task/getTaskinfo",
            data: {id, task_children_id},
        });
    },
    getArticleCategory: async (data) => {
        return request({
            method: MethodsENUM.POST,
            url: "/article/getArticleCategory",
            data: data,
        });
    },
    getArticle: async (data) => {
        return request({
            method: MethodsENUM.POST,
            url: "/article/getArticle",
            data: data,
        });
    },
    getTopArticle: async (data) => {
        return request({
            method: MethodsENUM.POST,
            url: "/article/getTopArticle",
            data: data,
        });
    },
    getSingle: async (data) => {
        return request({
            method: MethodsENUM.POST,
            url: "/article/getSingle",
            data: data,
        });
    },
    getAdvList: async (data) => {
        return request({
            method: MethodsENUM.POST,
            url: "/index/getAdvList",
            data: data,
        });
    },
    getQrcode: async (position) => {
        return request({
            method: MethodsENUM.POST,
            url: "/index/getQrcode",
            data: {position},
        });
    },
    getMessageCenter: async (data) => {
        if (data.type === 1) {
            return request({
                method: MethodsENUM.POST,
                url: "/notice/getNotice",
                data: data,
            });
        } else {
            return request({
                method: MethodsENUM.POST,
                url: "/task/getNewExchangeLog",
                data: data,
            });
        }
    },
    getInfo: async () => {
        return request({
            method: MethodsENUM.POST,
            url: "/user/getInfo",
        });
    },
    saveInfo: async (data) => {
        return request({
            method: MethodsENUM.POST,
            url: "/user/saveInfo",
            data: data,
        });
    },
    saveMobile: async (data) => {
        return request({
            method: MethodsENUM.POST,
            url: "/user/saveMobile",
            data: data,
        });
    },
    savePassword: async (data) => {
        return request({
            method: MethodsENUM.POST,
            url: "/user/savePassword",
            data: data,
        });
    },
    myTeamInfo: async () => {
        return request({
            method: MethodsENUM.POST,
            url: "/user/myTeamInfo",
        });
    },
    addAccount: async (data) => {
        return request({
            method: MethodsENUM.POST,
            url: "/user/addAccount",
            data: data
        });
    },
    myAccount: async (data) => {
        return request({
            method: MethodsENUM.POST,
            url: "/user/myAccount",
            data: data
        });
    },
    getAccountInfo: async (id) => {
        return request({
            method: MethodsENUM.POST,
            url: "/user/getAccountInfo",
            data: {id}
        });
    },
    editAccount: async (data) => {
        return request({
            method: MethodsENUM.POST,
            url: "/user/editAccount",
            data: data
        });
    },
    delAccount: async (id) => {
        return request({
            method: MethodsENUM.POST,
            url: "/user/delAccount",
            data: {id}
        });
    },
    acceptTask: async (data) => {
        return request({
            method: MethodsENUM.POST,
            url: "/task/acceptTask",
            data: data
        });
    },
    myTaskList: async (data) => {
        return request({
            method: MethodsENUM.POST,
            url: "/task/myTaskList",
            data: data
        });
    },
    addTaskBackfill: async (data) => {
        return request({
            method: MethodsENUM.POST,
            url: "/task/addTaskBackfill",
            data: data
        });
    },
    addWithdrawal: async (data) => {
        return request({
            method: MethodsENUM.POST,
            url: "/user/addWithdrawal",
            data: data
        });
    },
    getWithdrawal: async (data) => {
        return request({
            method: MethodsENUM.POST,
            url: "/user/getWithdrawal",
            data: data
        });
    },
    editWithdrawLog: async (data) => {
        return request({
            method: MethodsENUM.POST,
            url: "/user/editWithdrawLog",
            data: data
        });
    },
    getWithdrawalInfo: async (id) => {
        return request({
            method: MethodsENUM.POST,
            url: "/user/getWithdrawalInfo",
            data: {id}
        });
    },
    editWithdrawal: async (data) => {
        return request({
            method: MethodsENUM.POST,
            url: "/user/editWithdrawal",
            data: data
        });
    },
    setDefaultWithdrawal: async (id) => {
        return request({
            method: MethodsENUM.POST,
            url: "/user/setDefaultWithdrawal",
            data: {id}
        });
    },
    delWithdrawal: async (id) => {
        return request({
            method: MethodsENUM.POST,
            url: "/user/delWithdrawal",
            data: {id}
        });
    },
    getUserMoneyLog: async (data) => {
        return request({
            method: MethodsENUM.POST,
            url: "/user/getUserMoneyLog",
            data: data
        });
    },
    postWithdrawal: async (data) => {
        return request({
            method: MethodsENUM.POST,
            url: "/user/postWithdrawal",
            data: data
        });
    },
    getDefaultWithdrawalInfo: async (data) => {
        return request({
            method: MethodsENUM.POST,
            url: "/user/getDefaultWithdrawalInfo",
            data: data
        });
    },
    getWithdrawLog: async (data) => {
        return request({
            method: MethodsENUM.POST,
            url: "/user/getWithdrawLog",
            data: data
        });
    },
    getExchangeLog: async (data) => {
        return request({
            method: MethodsENUM.POST,
            url: "/task/getExchangeLog",
            data: data
        });
    },
    addExchangeLog: async (data) => {
        return request({
            method: MethodsENUM.POST,
            url: "/task/addExchangeLog",
            data: data
        });
    },
    createQrcode: async (data) => {
        return request({
            method: MethodsENUM.POST,
            url: "/index/createQrcode",
            data: data
        });
    },
    getMyTop: async (data) => {
        return request({
            method: MethodsENUM.POST,
            url: "/user/getMyTop",
            data: data
        });
    },
    myTeamList: async (data) => {
        return request({
            method: MethodsENUM.POST,
            url: "/user/myTeamList",
            data: data
        });
    },
    abandonTask: async (data) => {
        return request({
            method: MethodsENUM.POST,
            url: "/task/abandonTask",
            data: data
        });
    },
    intervention: async (data) => {
        return request({
            method: MethodsENUM.POST,
            url: "/task/intervention",
            data: data
        });
    },
    interventionV2: async (data) => {
        return request({
            method: MethodsENUM.POST,
            url: "/Task/addIntervention",
            data: data
        });
    },
    complaint: async (data) => {
        return request({
            method: MethodsENUM.POST,
            url: "/user/complaint",
            data: data
        });
    },
    confirmTask: async (data) => {
        return request({
            method: MethodsENUM.POST,
            url: "/task/confirmTask",
            data: data
        });
    },
    setExchangeTop: async (data) => {
        return request({
            method: MethodsENUM.POST,
            url: "/task/setChildrenTop",
            data: data
        });
    },
    setChildrenRead: async (data) => {
        return request({
            method: MethodsENUM.POST,
            url: "/task/setChildrenRead",
            data: data
        });
    },
    getUserIncome: async (data) => {
        return request({
            method: MethodsENUM.POST,
            url: "/user/getUserIncome",
            data: data
        });
    },
    getPoster: async (data) => {
        return request({
            method: MethodsENUM.POST,
            url: "/user/getPoster",
            data: data
        });
    },
    passLogin: async (id) => {
        return request({
            method: MethodsENUM.POST,
            url: "/login/passLogin",
            data: {id}
        });
    },
    checkDownload: async (id) => {
        return request({
            method: MethodsENUM.POST,
            url: "/Task/checkDownload",
            data: {id}
        });
    },
    setAccountStatus: async (data) => {
        return request({
            method: MethodsENUM.POST,
            url: "/user/setAccountStatus",
            data: data
        });
    },
    getPlatformImages: async (data) => {
        return request({
            method: MethodsENUM.POST,
            url: "/Task/getPlatformImages",
            data: data
        });
    },
    getChildrenCount: async (data) => {
        return request({
            method: MethodsENUM.POST,
            url: "/task/getChildrenCount",
            data: data
        });
    },
}

export default system;
